## golang-github-juju-utils 0.0~git20171220.f38c0b0

=== Makefile ===
PROJECT := github.com/juju/utils

.PHONY: check-licence check-go check

check: check-licence check-go
	go test $(PROJECT)/...

check-licence:
	@(fgrep -rl "Licensed under the LGPLv3" .;\
		fgrep -rl "MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT" .;\
		find . -name "*.go") | sed -e 's,\./,,' | sort | uniq -u | \
		xargs -I {} echo FAIL: licence missed: {}

check-go:
	$(eval GOFMT := $(strip $(shell gofmt -l .| sed -e "s/^/ /g")))
	@(if [ x$(GOFMT) != x"" ]; then \
		echo go fmt is sad: $(GOFMT); \
		exit 1; \
	fi )
	@(go tool vet -all -composites=false -copylocks=false .)

=== debian/changelog ===
golang-github-juju-utils (0.0~git20171220.f38c0b0-6) unstable; urgency=medium

  * Team upload.
  * Rename golang-x-text-dev to golang-golang-x-text-dev
  * Some lintian fixes
  * Update go team email address in Maintainer field
  * Update to standards version 4.5.0

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 02 Aug 2020 19:17:25 -0500

golang-github-juju-utils (0.0~git20171220.f38c0b0-5) unstable; urgency=medium

  * New upload to unstable. The package should not have been removed as
    it still has relevant reverse dependencies. (Closes: #916567)
  * Remove unused golang-github-juju-mutex-dev dependency.

 -- Alexandre Viau <aviau@debian.org>  Mon, 31 Dec 2018 13:34:19 -0500

golang-github-juju-utils (0.0~git20171220.f38c0b0-4) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Feb 2018 00:20:48 -0500

golang-github-juju-utils (0.0~git20171220.f38c0b0-3) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 17:11:01 -0500

golang-github-juju-utils (0.0~git20171220.f38c0b0-2) unstable; urgency=medium

  * depend on golang-github-juju-httpprof-dev

 -- Alexandre Viau <aviau@debian.org>  Mon, 22 Jan 2018 14:09:26 -0500

golang-github-juju-utils (0.0~git20171220.f38c0b0-1) unstable; urgency=medium

  * Initial release (Closes: #886610)

 -- Alexandre Viau <aviau@debian.org>  Sun, 07 Jan 2018 22:43:07 -0500

=== debian/control ===
Source: golang-github-juju-utils
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-juju-errors-dev,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-masterzen-winrm-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-text-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-errgo.v1-dev,
               golang-gopkg-httprequest.v1-dev,
               golang-gopkg-mgo.v2-dev,
               golang-gopkg-tomb.v1-dev,
               golang-github-juju-httpprof-dev,
               golang-yaml.v2-dev
Standards-Version: 4.5.0
Homepage: https://github.com/juju/utils
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-utils
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-utils.git
XS-Go-Import-Path: github.com/juju/utils
Testsuite: autopkgtest-pkg-go

Package: golang-github-juju-utils-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-juju-errors-dev,
         golang-github-julienschmidt-httprouter-dev,
         golang-github-masterzen-winrm-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-text-dev,
         golang-gopkg-check.v1-dev,
         golang-gopkg-errgo.v1-dev,
         golang-gopkg-httprequest.v1-dev,
         golang-gopkg-mgo.v2-dev,
         golang-gopkg-tomb.v1-dev,
         golang-github-juju-httpprof-dev,
         golang-yaml.v2-dev
Description: General utility functions
 This package provides general utility packages and functions.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := ssh exec featureflag hash packaging/manager series winrm
# Due to circular dependencies, we have to disable building some
# packages and then re-enable them when they are in a working state
# in Debian.

override_dh_auto_test:
	# See comment above.

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-juju-utils 0.0~git20200923.4646bfe

=== Makefile ===
PROJECT := github.com/juju/utils/v2

.PHONY: check-licence check-go check

check: check-licence check-go
	go test $(PROJECT)/...

check-licence:
	@(grep -rFl "Licensed under the LGPLv3" .;\
		grep -rFl "MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT" .;\
		grep -rFl "license that can be found in the LICENSE.ricochet2200 file" .; \
		find . -name "*.go") | sed -e 's,\./,,' | sort | uniq -u | \
		xargs -I {} echo FAIL: licence missed: {}

check-go:
	$(eval GOFMT := $(strip $(shell gofmt -l .| sed -e "s/^/ /g")))
	@(if [ x$(GOFMT) != x"" ]; then \
		echo go fmt is sad: $(GOFMT); \
		exit 1; \
	fi )
	@(go vet -all -composites=false -copylocks=false .)

# Install packages required to develop in utils and run tests.
install-dependencies: install-snap-dependencies install-mongo-dependencies
	@echo Installing dependencies
	@echo Installing bzr
	@sudo apt install bzr --yes
	@echo Installing zip
	@sudo apt install zip --yes

install-snap-dependencies:
## install-snap-dependencies: Install the supported snap dependencies
	@echo Installing go-1.14 snap
	@sudo snap install go --channel=1.14/stable --classic

install-mongo-dependencies:
## install-mongo-dependencies: Install Mongo and its dependencies
	@echo Adding juju PPA for mongodb
	@sudo apt-add-repository --yes ppa:juju/stable
	@sudo apt-get update
	@echo Installing mongodb
	@sudo apt-get --yes install  \
	$(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison mongodb-server-core juju-mongodb3.2 juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)

=== debian/changelog ===
golang-github-juju-utils (0.0~git20200923.4646bfe-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream snapshot
    - Grab latest commit of v2 prior to breaking changes ahead of v3
  * Add myself to uploaders, and remove Alexandre Viau (Closes: #940381)
    - Thanks for your work Alexandre!
  * d/control:
    - Update Section to golang
    - Bump debhelper-compat version to 13
    - Bump Standards-Version (no changes needed)
    - Add Rules-Requires-Root: no
    - Update Build-Depends and Depends
    - Set Multi-Arch: foreign
  * d/copyright:
    - Update years
    - Fix license info for filepath/{stdlib.go,stdlibmatch.go}
    - Remove unneeded Files-Excluded
  * Drop old patch
  * Add patch to disable a few problematic tests
  * Add patch to fix tests on 32bit architectures
  * Add patch to fix tests after x/crypto update
  * Refresh d/rules
  * Update d/watch

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 04 Feb 2022 16:17:44 +0100

=== debian/control ===
Source: golang-github-juju-utils
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Priority: optional
Testsuite: autopkgtest-pkg-go
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
# Important -- there MUST NOT be any dependency loops, so be very careful when
# introducing juju libraries to this list, as they may depend on juju/utils
               golang-github-juju-clock-dev,
               golang-github-juju-cmd-dev,
               golang-github-juju-collections-dev,
               golang-github-juju-errors-dev,
               golang-github-juju-httpprof-dev,
               golang-github-juju-loggo-dev,
               golang-github-juju-mutex-dev,
               golang-github-juju-testing-dev,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-masterzen-winrm-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-text-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-errgo.v1-dev,
               golang-gopkg-httprequest.v1-dev,
               golang-gopkg-mgo.v2-dev,
               golang-gopkg-tomb.v1-dev,
               golang-yaml.v2-dev,
               zip
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-utils
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-utils.git
Homepage: https://github.com/juju/utils
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/juju/utils

Package: golang-github-juju-utils-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-juju-clock-dev,
         golang-github-juju-cmd-dev,
         golang-github-juju-collections-dev,
         golang-github-juju-errors-dev,
         golang-github-juju-httpprof-dev,
         golang-github-juju-loggo-dev,
         golang-github-juju-mutex-dev,
         golang-github-juju-testing-dev,
         golang-github-julienschmidt-httprouter-dev,
         golang-github-masterzen-winrm-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-text-dev,
         golang-gopkg-check.v1-dev,
         golang-gopkg-errgo.v1-dev,
         golang-gopkg-httprequest.v1-dev,
         golang-gopkg-mgo.v2-dev,
         golang-gopkg-tomb.v1-dev,
         golang-yaml.v2-dev
Description: General utility functions
 This package provides general utility packages and functions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	# Disable the tests temporary since they doesn't seem reliable.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/juju/utils.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%!((string=golang-github-juju-utils)?:.*?)?v?(\d[\d.]*)\.tar\.gz%!@(MISSING)PACKAGE@-$1.tar.gz%!,(MISSING)\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/juju/utils/tags .*/v?(\d\S*)\.tar\.gz debian
